!
! $Header$
!
!
!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
!                 veillez  n'utiliser que des ! pour les commentaires
!                 et  bien positionner les & des lignes de continuation 
!                 (les placer en colonne 6 et en colonne 73)
!
!..include cles_phys.h
!
       LOGICAL cycle_diurne,soil_model,new_oliq,ok_orodr,ok_orolf 
       LOGICAL ok_limitvrai
       INTEGER nbapp_rad, iflag_con
       REAL co2_ppm, solaire
       REAL*8 RCO2, RCH4, RN2O, RCFC11, RCFC12  
       REAL*8 CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt

!OM ---> correction du bilan d'eau global
!OM Correction sur precip KE
       REAL cvl_corr
!OM Fonte calotte dans bilan eau
       LOGICAL ok_lic_melt

!IM simulateur ISCCP 
       INTEGER top_height, overlap
!IM seuils cdrm, cdrh
       REAL cdmmax, cdhmax
!IM param. stabilite s/ terres et en dehors
       REAL ksta, ksta_ter
!IM ok_kzmin : clef calcul Kzmin dans la CL de surface cf FH
       LOGICAL ok_kzmin
!IM, MAFo fmagic, pmagic : parametres - additionnel et multiplicatif - 
!                          pour regler l albedo sur ocean
       REAL fmagic, pmagic
! Hauteur (imposee) du contenu en eau du sol
           REAL qsol0
!IM lev_histhf  : niveau sorties 6h
!IM lev_histday : niveau sorties journalieres
!IM lev_histmth : niveau sorties mensuelles
       INTEGER lev_histhf, lev_histday, lev_histmth
       CHARACTER*4 type_run
       LOGICAL ok_isccp, ok_regdyn
       REAL lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
       REAL ecrit_ins, ecrit_hf, ecrit_hf2mth, ecrit_day
       REAL ecrit_mth, ecrit_tra, ecrit_reg 
       REAL freq_ISCCP, ecrit_ISCCP
       INTEGER :: ip_ebil_phy, iflag_rrtm
       LOGICAL ok_slab_sicOBS
       LOGICAL :: ok_strato
       LOGICAL :: ok_hines

       COMMON/clesphys/cycle_diurne, soil_model, new_oliq,              &
     &     ok_orodr, ok_orolf, ok_limitvrai, nbapp_rad, iflag_con       &
     &     , co2_ppm, solaire, RCO2, RCH4, RN2O, RCFC11, RCFC12         &
     &     , CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt                     &
     &     , top_height, overlap, cdmmax, cdhmax, ksta, ksta_ter        &
     &     , ok_kzmin, fmagic, pmagic                                   &
     &     , lev_histhf, lev_histday, lev_histmth                       &
     &     , type_run, ok_isccp, ok_regdyn                              &
     &     , lonmin_ins, lonmax_ins, latmin_ins, latmax_ins             &
     &     , ecrit_ins, ecrit_hf, ecrit_hf2mth, ecrit_day               &
     &     , ecrit_mth, ecrit_tra, ecrit_reg                            &
     &     , freq_ISCCP, ecrit_ISCCP, ip_ebil_phy                       &
     &     , ok_slab_sicOBS, ok_lic_melt, cvl_corr                      &
     &     , qsol0, iflag_rrtm, ok_strato,ok_hines
     
!$OMP THREADPRIVATE(/clesphys/)
 
